from django.urls import path
from . import views

urlpatterns = [
    path('', views.index, name='index'),
    path('results/', views.results, name='results'),
    path('scoreboard/', views.scoreboard, name='scoreboard'),
    path('members/', views.teams, name='members'),
    path('venues/', views.venues, name='venues'),
    path('venues/get-waters/<int:venue_id>', views.get_venue_waters, name="get-venue-waters"),
    path('venues/<int:venue_id>', views.venue_details, name="venue-details"),
    path("venues/api/<int:venue_id>", views.get_venue_details, name="venue-details"),

    # path('bulk-peg/', views.bulk_create_pegs, name='bulk-peg'),
    path('get-angler-data/', views.get_angler_page_data, name='get-angler-data'),
    path('update-member/', views.update_member, name='update-member'),
    path('update-section/', views.update_section, name='update-section'),
    path('update-team/', views.update_team, name='update-team'),
    path("get-next-identifier/", views.get_next_identifier, name='get-next-identifier'),

    # Rewrite
    path('anglers/', views.ManageAnglersView.as_view(), name='anglers'),
]